commit:     fa91054b5cdd8053e3a1625c4ebb53abf4b2ac6b
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 29 21:18:47 2021 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Jan 29 21:18:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa91054b

dev-ml/logs: bump version to 0.6.3 and 0.7.0

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/logs/Manifest          |  2 ++
 dev-ml/logs/logs-0.6.3.ebuild | 55 +++++++++++++++++++++++++++++++++++++++++++
 dev-ml/logs/logs-0.7.0.ebuild | 55 +++++++++++++++++++++++++++++++++++++++++++
 dev-ml/logs/metadata.xml      |  5 +++-
 4 files changed, 116 insertions(+), 1 deletion(-)

diff --git a/dev-ml/logs/Manifest b/dev-ml/logs/Manifest
index 136aad2e16f..0ba203fd3cf 100644
--- a/dev-ml/logs/Manifest
+++ b/dev-ml/logs/Manifest
@@ -1 +1,3 @@
 DIST logs-0.6.2.tbz 18558 BLAKE2B 
824bad0b568c3cc08343cb99eab3848d6e8f7deca548599caf12a05f5980e5ecf78978480e5fd95e938ca4b06fb94cee8b4ecf241f4a0238c3d3851c4be8c9f5
 SHA512 
a669e373652bac6789626ad1d58e414c6d156c646bf0706c9d55b04151850113d45a5c28077707514d1a27d46fcc0f90b39b8652ce7a3980f79675e9874db8b4
+DIST logs-0.6.3.tbz 17670 BLAKE2B 
bea90590913c83ef0ac32bb63551542d52cdc63f761e0198ff747f9e03987dcbfacd1b1e351a826218f71768020df8ebe1caa7272fd79e2c1b634645d728bdd6
 SHA512 
6cdcb3ee19eadb824500e90235a62326194ff5d2a44dca598d2727f2ad358273a79240197965b682aa80986870bb859ee1e57f2cb29c684c92ca146cac8094d1
+DIST logs-0.7.0.tbz 18458 BLAKE2B 
091d1778166af0b67e17e932a775a73e31e5d167b94b1b378063a7112c21bf1ac935c7e51fe29bcc0121cd5e60ea46ed3c7381f4db5df400b463feedfbe89663
 SHA512 
657f66eeaf5788947a3ff4b2a179f7e192ad4ce086fc8968286066d4b83af476523b3befce50ee58abf2d9b8c8dc65573ba8ed62f9c5e7933db29a7fb769646a

diff --git a/dev-ml/logs/logs-0.6.3.ebuild b/dev-ml/logs/logs-0.6.3.ebuild
new file mode 100644
index 00000000000..7e256da93be
--- /dev/null
+++ b/dev-ml/logs/logs-0.6.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit findlib
+
+DESCRIPTION="Logging infrastructure for OCaml"
+HOMEPAGE="https://erratique.ch/software/logs https://github.com/dbuenzli/logs";
+SRC_URI="https://erratique.ch/software/logs/releases/${P}.tbz";
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="javascript +fmt cli +lwt test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-ml/result:=[ocamlopt]
+       dev-lang/ocaml:=[ocamlopt]
+       javascript? ( dev-ml/js_of_ocaml:= )
+       fmt? ( dev-ml/fmt:= )
+       cli? ( dev-ml/cmdliner:=[ocamlopt] )
+       lwt? ( dev-ml/lwt:= )
+"
+DEPEND="${RDEPEND}
+       dev-ml/opam
+       dev-ml/topkg
+       dev-ml/ocamlbuild
+       dev-ml/findlib
+       test? ( dev-ml/mtime )
+"
+
+src_compile() {
+       ocaml pkg/pkg.ml build \
+               --with-js_of_ocaml $(usex javascript true false) \
+               --with-fmt $(usex fmt true false) \
+               --with-cmdliner $(usex cli true false) \
+               --with-lwt $(usex fmt true false) \
+               --tests $(usex test true false) \
+               || die
+}
+
+src_test() {
+       ocaml pkg/pkg.ml test || die
+}
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               ${PN}.install || die
+       dodoc CHANGES.md README.md
+}

diff --git a/dev-ml/logs/logs-0.7.0.ebuild b/dev-ml/logs/logs-0.7.0.ebuild
new file mode 100644
index 00000000000..7e256da93be
--- /dev/null
+++ b/dev-ml/logs/logs-0.7.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit findlib
+
+DESCRIPTION="Logging infrastructure for OCaml"
+HOMEPAGE="https://erratique.ch/software/logs https://github.com/dbuenzli/logs";
+SRC_URI="https://erratique.ch/software/logs/releases/${P}.tbz";
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="javascript +fmt cli +lwt test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-ml/result:=[ocamlopt]
+       dev-lang/ocaml:=[ocamlopt]
+       javascript? ( dev-ml/js_of_ocaml:= )
+       fmt? ( dev-ml/fmt:= )
+       cli? ( dev-ml/cmdliner:=[ocamlopt] )
+       lwt? ( dev-ml/lwt:= )
+"
+DEPEND="${RDEPEND}
+       dev-ml/opam
+       dev-ml/topkg
+       dev-ml/ocamlbuild
+       dev-ml/findlib
+       test? ( dev-ml/mtime )
+"
+
+src_compile() {
+       ocaml pkg/pkg.ml build \
+               --with-js_of_ocaml $(usex javascript true false) \
+               --with-fmt $(usex fmt true false) \
+               --with-cmdliner $(usex cli true false) \
+               --with-lwt $(usex fmt true false) \
+               --tests $(usex test true false) \
+               || die
+}
+
+src_test() {
+       ocaml pkg/pkg.ml test || die
+}
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               ${PN}.install || die
+       dodoc CHANGES.md README.md
+}

diff --git a/dev-ml/logs/metadata.xml b/dev-ml/logs/metadata.xml
index d304229c071..c409d1b308a 100644
--- a/dev-ml/logs/metadata.xml
+++ b/dev-ml/logs/metadata.xml
@@ -1,7 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-       <!-- maintainer-needed -->
+       <maintainer type="project">
+               <email>m...@gentoo.org</email>
+               <name>ML</name>
+       </maintainer>
        <use>
                <flag name="cli">Enables the Logs_cli library that provides 
command line support for controlling Logs.</flag>
                <flag name="fmt">Enables the Logs_fmt reporter.</flag>

Reply via email to